psiclean(1)

NAME
psiclean - delete files in the PSI temporary directories

DESCRIPTION
The psiclean command finds a job name by scanning the input file for a keyword assignment of the form

   DEFAULT:FILES:DEFAULT:NAME = string

It then goes through all of the machine's temporary directories and deletes all files of the form string.*. In previous versions of psiclean , temporary directories were assumed to be of the form

   /tmp[0-9]/$user

In this version of psiclean , we get the names of the temporary directories from the user input file by looking for volume paths of the form

   DEFAULT:FILES:DEFAULT:VOLUMEi = string

It is essential that users see to the removal of their scratch files as soon as their job completes, because temporary directories are usually a shared resource and there is not necessarily an automatic way for files to be deleted from these areas. Thus, the last command run after a job has finished should be the psiclean command.

The user must take care to follow certain conventions when choosing filenames. Any files which are to be kept after a job completes should not be kept in the default temporary directories. The FILES input must be used to specify other locations for the specific files which are to be kept. psiclean will ignore files which are specifically listed by number (e.g., PSIF_CHKPT ) in the FILES section. Files which are not needed after the run should use the default path given in the input file. Otherwise, these files will remain on the system and will impede other jobs.

EXAMPLE
Suppose the PSI temporary directories contained the following subdirectories and files:

/tmp1/cpuhog:
-rw-r--r--  1 cpuhog      14492 Jun 11 16:48 dicubane.30
-rw-r--r--  1 cpuhog     187320 Jun  8 17:20 diketene.34
-rw-r--r--  1 cpuhog      16384 Jun  7 19:17 o4big.30
-rw-r--r--  1 cpuhog      16384 Jun  7 19:17 o4.30
-rw-r--r--  1 cpuhog     974848 Jun  7 18:41 o4.34

/tmp2/cpuhog:
-rw-r--r--  1 cpuhog      14492 Jun 11 16:48 dicubane.30
-rw-r--r--  1 cpuhog     187320 Jun  8 17:20 diketene.34
-rw-r--r--  1 cpuhog      10904 Jun  7 18:50 o4big.30
-rw-r--r--  1 cpuhog      10904 Jun  7 18:50 o4.30
-rw-r--r--  1 cpuhog     973752 Jun  7 18:41 o4.34

/tmp3/cpuhog:
-rw-r--r--  1 cpuhog      14492 Jun 11 16:48 dicubane.30
-rw-r--r--  1 cpuhog     187320 Jun  8 17:20 diketene.34
-rw-r--r--  1 cpuhog       8192 Jun  7 19:17 o4big.30
-rw-r--r--  1 cpuhog       8192 Jun  7 19:17 o4.30
-rw-r--r--  1 cpuhog     966656 Jun  7 18:41 o4.34

Let's also say that the user cpuhog is in a directory which contains an input file which has the following line in it:

DEFAULT:FILES:DEFAULT:NAME = "o4"

If the user cpuhog now executes the psiclean command, then the o4 files in the temporary directories would be deleted, leaving the following files:

/tmp1/cpuhog:
-rw-r--r--  1 cpuhog      14492 Jun 11 16:48 dicubane.30
-rw-r--r--  1 cpuhog     187320 Jun  8 17:20 diketene.34
-rw-r--r--  1 cpuhog      16384 Jun  7 19:17 o4big.30

/tmp2/cpuhog:
-rw-r--r--  1 cpuhog      14492 Jun 11 16:48 dicubane.30
-rw-r--r--  1 cpuhog     187320 Jun  8 17:20 diketene.34
-rw-r--r--  1 cpuhog      10904 Jun  7 18:50 o4big.30

/tmp3/cpuhog:
-rw-r--r--  1 cpuhog      14492 Jun 11 16:48 dicubane.30
-rw-r--r--  1 cpuhog     187320 Jun  8 17:20 diketene.34
-rw-r--r--  1 cpuhog       8192 Jun  7 19:17 o4big.30

AUTHOR
C. David Sherrill <sherrill@alum.mit.edu>